Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0010934
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2009-10-12 14:162009-10-16 00:00
ReporterbursieView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision71f86f731b8a
ProjectionnoneETAnoneTarget Version
OSWindowsDatabasePostgreSQLJava version1.6.0_07
OS VersionDatabase versionAnt version1.7.1
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0010934: ant setup fails when used with pi

Descriptionant setup fails with:

D:\sources\openbravo250PiWork\openbravo>ant setup
Buildfile: build.xml

BUILD FAILED
D:\sources\openbravo250PiWork\openbravo\build.xml:213: taskdef class org.openbravo.utils.CheckSumCondition cannot be found

Total time: 0 seconds

We have a clone under UBUNTU based on PI.

From this I made a local clone on XP, where I develop. Development is normally done on devel/main which works fine.

The class (CheckSumCondition) is available at that place.

 
Steps To Reproduce1.
hg up (we are on tip of pi)
ant setup -> fails

2.
hg up 2.50MP6
ant setup -> works fine

trying the same on Ubuntu (the remote clone) works fine



TagsNo tags attached.
Attached Filespng file icon ant-setup-failed.png [^] (177,478 bytes) 2009-10-13 09:21

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0009205 closedalostale smartbuild compiles all windows when it is not needed 
related to defect 0010943 closedshankarb ant clean target should really clean 

-  Notes
(0020959)
iperdomo (developer)
2009-10-13 09:22

I reproduced the error. Attached you'll find an screenshot.

Cheers,

Iván
(0020970)
jpabloae (reporter)
2009-10-13 10:50

This bug was introduced by changeset 2685893c3239:
https://code.openbravo.com/erp/devel/pi/rev/2685893c3239 [^]

It's not related to the "ant setup". *Any* ant task fails, even "ant init". It was not detected by builds.openbravo.com becasue the class was already generated.

Assigning to alostale.
(0020976)
hgbot (developer)
2009-10-13 11:19

Repository: erp/devel/pi
Changeset: 71f86f731b8aed8369ebd6ea0da80ac193ce4c36
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Oct 13 11:18:59 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/71f86f731b8aed8369ebd6ea0da80ac193ce4c36 [^]

fixed bug 0010934: ant setup fails when used with pi

---
M build.xml
---
(0021087)
iperdomo (developer)
2009-10-15 18:41

Checked @ rev f6f5946c3645

- Issue History
Date Modified Username Field Change
2009-10-12 14:16 bursie New Issue
2009-10-12 14:16 bursie Assigned To => rafaroda
2009-10-13 09:21 iperdomo File Added: ant-setup-failed.png
2009-10-13 09:21 iperdomo Priority normal => high
2009-10-13 09:21 iperdomo Proposed Solution updated
2009-10-13 09:22 iperdomo Status new => scheduled
2009-10-13 09:22 iperdomo Assigned To rafaroda => jpabloae
2009-10-13 09:22 iperdomo fix_in_branch => pi
2009-10-13 09:22 iperdomo Note Added: 0020959
2009-10-13 10:48 jpabloae Assigned To jpabloae =>
2009-10-13 10:48 jpabloae Assigned To => alostale
2009-10-13 10:50 jpabloae Note Added: 0020970
2009-10-13 10:51 jpabloae Priority high => immediate
2009-10-13 10:51 jpabloae fix_in_branch pi =>
2009-10-13 10:52 jpabloae Relationship added related to 0009205
2009-10-13 11:05 jpabloae Relationship added related to 0010943
2009-10-13 11:19 hgbot Checkin
2009-10-13 11:19 hgbot Note Added: 0020976
2009-10-13 11:19 hgbot Status scheduled => resolved
2009-10-13 11:19 hgbot Resolution open => fixed
2009-10-13 11:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/71f86f731b8aed8369ebd6ea0da80ac193ce4c36 [^]
2009-10-15 18:41 iperdomo Status resolved => closed
2009-10-15 18:41 iperdomo Note Added: 0021087
2009-10-16 00:00 anonymous sf_bug_id 0 => 2880180


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker